# HG changeset patch
# User John Chilton <jmchilton@gmail.com>
# Date 1350877254 18000
# Node ID 4fb4b60f89b252ff136588fab0eb0ec9d37fc0a1
# Parent  dcf1734bb8531389a91b37c483a9ca1517bc072e
Fix tool loading order problems.

diff -r dcf1734bb8531389a91b37c483a9ca1517bc072e -r 4fb4b60f89b252ff136588fab0eb0ec9d37fc0a1 lib/galaxy/tools/__init__.py
--- a/lib/galaxy/tools/__init__.py	Sun Oct 21 20:47:29 2012 -0500
+++ b/lib/galaxy/tools/__init__.py	Sun Oct 21 22:40:54 2012 -0500
@@ -73,6 +73,7 @@
         self.workflows_by_id = {}
         # In-memory dictionary that defines the layout of the tool panel.
         self.tool_panel = odict()
+        self.index = 0
         # File that contains the XML section and tool tags from all tool panel config files integrated into a
         # single file that defines the tool panel layout.  This file can be changed by the Galaxy administrator
         # (in a way similar to the single tool_conf.xml file in the past) to alter the layout of the tool panel.
@@ -134,7 +135,9 @@
             tool_path = self.tool_root_dir
         # Only load the panel_dict under certain conditions.
         load_panel_dict = not self.integrated_tool_panel_config_has_contents
-        for index, elem in enumerate( root ):
+        for _, elem in enumerate( root ):
+            index = self.index
+            self.index += 1
             if parsing_shed_tool_conf:
                 config_elems.append( elem )
             if elem.tag == 'tool':
